Bug 1024827 - koji: Use Python 3 instead of Python 2 (in client part)
koji: Use Python 3 instead of Python 2 (in client part)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike McLean
Fedora Extras Quality Assurance
: Reopened
Depends On: 985288 1024834
Blocks: PY3PACKAGER GOFEDPY3 PYTHON3-UPSTREAM
  Show dependency treegraph
 
Reported: 2013-10-30 09:38 EDT by Miro Hrončok
Modified: 2018-03-05 15:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-05 15:15:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:38:53 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Note about Koji: This is related to the client part
Comment 1 Mike McLean 2013-11-07 15:55:32 EST
Porting to Py3 is on my radar, but the work is complicated because we still need to support older RHEL versions (e.g. RHEL5).
Comment 2 Jaroslav Reznik 2015-03-03 10:10:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:32:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Pavel Šimerda (pavlix) 2016-09-16 17:25:46 EDT
Please see:

https://pagure.io/koji/issue/151
https://pagure.io/koji/pull-request/152
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-10-18 13:04:39 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1024834#c4
> python-krbV is unlikely to ever support python 3. The recommendation is to
> convert to python-gssapi, which is actively maintained and should support
> everything python-krbV is capable of (though with a different API).
Comment 6 Fedora End Of Life 2016-11-24 06:04:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-02-28 04:35:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 8 Lumír Balhar 2017-08-02 10:19:56 EDT
Some parts of Koji (IMHO the most important ones) are Python 3 compatible since the latest release 1.13 so I think that this bug could be closed.

http://fedora.portingdb.xyz/pkg/koji/
Comment 9 Miro Hrončok 2018-03-05 15:15:50 EST
After Bug 1472348 was solved, i can confirm that the koji command line client works with Python 3.

Note You need to log in before you can comment on or make changes to this bug.